Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000059Core InformRelationspublic2010-06-17 22:292010-07-01 23:07
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000059: Relations between numbers generate unused properties
DescriptionGlobal relations between numbers (in any form except various-to-various) cause a property and a ValuePropertyHolder class to be generated, even though the property is not used to implement the relation and numbers are not allowed to have properties. This also happens with other kinds of value.
Minimal Source Text To Reproduce
Home is a room.

Friendship relates various numbers to each other in groups. The
verb to be friends with implies the friendship relation.
Additional InformationThe code above causes this class to be generated:

    VPH_Class ValuePropertyHolder_66
        with value_range 0
        with p56_friendship KOVP_66_P56
    ;
    ! Storage for property p56_friendship of KOV NUMBER_TY
    Array KOVP_66_P56 table 0 0 ;

... as well as a few other references to p56_friendship.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000071)
graham (administrator)
2010-06-20 04:44

It's a little harsh to call this a bug, really: "game compiles but misbehaves" isn't true - there is no misbehaviour. It results in very slightly more memory being used at run-time than necessary, so this is more like a request for optimisation.

I have removed the ValuePropertyHolder_* and so forth, but retained the creation of the property, as I want to keep the usage of the property namespace consistent here (rather than dependent on the accident of the domain of the equivalence relation).

- Issue History
Date Modified Username Field Change
2010-06-17 22:29 jmcgrew New Issue
2010-06-17 22:30 jmcgrew Status new => acknowledged
2010-06-18 17:13 EmacsUser Status acknowledged => confirmed
2010-06-20 04:44 graham Note Added: 0000071
2010-06-20 04:44 graham Status confirmed => resolved
2010-06-20 04:44 graham Resolution open => fixed
2010-06-20 04:44 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker